CVE-2017-14140

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

The move_pages system call in mm/migrate.c in the Linux kernel before 4.12.9 doesn't check the effective uid of the target process, enabling a local attacker to learn the memory layout of a setuid executable despite ASLR.

References

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=197e7e521384a23b9e585178f3f11c9fa08274b9

http://www.debian.org/security/2017/dsa-3981

http://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.12.9

http://www.securityfocus.com/bid/100876

https://access.redhat.com/errata/RHSA-2018:0676

https://access.redhat.com/errata/RHSA-2018:1062

https://github.com/torvalds/linux/commit/197e7e521384a23b9e585178f3f11c9fa08274b9

https://source.android.com/security/bulletin/pixel/2018-01-01

https://usn.ubuntu.com/3583-1/

https://usn.ubuntu.com/3583-2/

Details

Source: MITRE

Published: 2017-09-05

Updated: 2018-04-12

Type: CWE-200

Risk Information

CVSS v2

Base Score: 2.1

Vector: AV:L/AC:L/Au:N/C:P/I:N/A:N

Impact Score: 2.9

Exploitability Score: 3.9

Severity: LOW

CVSS v3

Base Score: 5.5

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N

Impact Score: 3.6

Exploitability Score: 1.8

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:* versions up to 4.12.8 (inclusive)

Tenable Plugins

View all (24 total)

IDNameProductFamilySeverity
124982EulerOS Virtualization for ARM 64 3.0.1.0 : kernel (EulerOS-SA-2019-1529)NessusHuawei Local Security Checks
medium
124822EulerOS Virtualization 3.0.1.0 : kernel (EulerOS-SA-2019-1499)NessusHuawei Local Security Checks
medium
109829Oracle Linux 6 / 7 : Unbreakable Enterprise kernel (ELSA-2018-4109)NessusOracle Linux Local Security Checks
high
109668OracleVM 3.3 : Unbreakable / etc (OVMSA-2018-0041) (Spectre)NessusOracleVM Local Security Checks
high
109543Oracle Linux 6 / 7 : Unbreakable Enterprise kernel (ELSA-2018-4089)NessusOracle Linux Local Security Checks
high
109449Scientific Linux Security Update : kernel on SL7.x x86_64 (20180410) (Meltdown)NessusScientific Linux Local Security Checks
critical
109380CentOS 7 : kernel (CESA-2018:1062)NessusCentOS Local Security Checks
critical
109158OracleVM 3.4 : Unbreakable / etc (OVMSA-2018-0035) (Dirty COW) (Meltdown) (Spectre)NessusOracleVM Local Security Checks
high
109156Oracle Linux 6 / 7 : Unbreakable Enterprise kernel (ELSA-2018-4071)NessusOracle Linux Local Security Checks
high
109113Oracle Linux 7 : kernel (ELSA-2018-1062)NessusOracle Linux Local Security Checks
critical
108997RHEL 7 : kernel (RHSA-2018:1062)NessusRed Hat Local Security Checks
critical
108984RHEL 7 : kernel-rt (RHSA-2018:0676)NessusRed Hat Local Security Checks
critical
107003Ubuntu 14.04 LTS : linux vulnerabilities (USN-3583-1) (Meltdown)NessusUbuntu Local Security Checks
critical
106706OracleVM 3.4 : Unbreakable / etc (OVMSA-2018-0017) (Meltdown)NessusOracleVM Local Security Checks
high
106670Oracle Linux 6 / 7 : Unbreakable Enterprise kernel (ELSA-2018-4025)NessusOracle Linux Local Security Checks
high
105685SUSE SLES11 Security Update : kernel (SUSE-SU-2018:0040-1) (BlueBorne) (KRACK) (Meltdown) (Spectre)NessusSuSE Local Security Checks
high
105172SUSE SLES11 Security Update : kernel (SUSE-SU-2017:3265-1) (KRACK)NessusSuSE Local Security Checks
critical
104578EulerOS 2.0 SP1 : kernel (EulerOS-SA-2017-1245)NessusHuawei Local Security Checks
high
104374SUSE SLES12 Security Update : kernel (SUSE-SU-2017:2920-1) (KRACK) (Stack Clash)NessusSuSE Local Security Checks
critical
104271SUSE SLES12 Security Update : kernel (SUSE-SU-2017:2908-1) (KRACK) (Stack Clash)NessusSuSE Local Security Checks
critical
103779Ubuntu 14.04 LTS : linux-lts-xenial vulnerabilities (USN-3444-2)NessusUbuntu Local Security Checks
high
103778Ubuntu 16.04 LTS : linux, linux-aws, linux-gke, linux-kvm, linux-raspi2, linux-snapdragon vulnerabilities (USN-3444-1)NessusUbuntu Local Security Checks
high
103365Debian DSA-3981-1 : linux - security update (BlueBorne) (Stack Clash)NessusDebian Local Security Checks
high
103363Debian DLA-1099-1 : linux security update (BlueBorne) (Stack Clash)NessusDebian Local Security Checks
high